Package net.sourceforge.jiu.codecs

# Class InvalidImageIndexException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.sourceforge.jiu.ops.OperationFailedException
net.sourceforge.jiu.codecs.InvalidImageIndexException

All Implemented Interfaces:
  `Serializable`

public class InvalidImageIndexException extends OperationFailedException
This exception is thrown when the caller has defined an image index that specifies the image to be loaded in a multiple-image file and that index is unavailable. Example: user has specified an image index of 5, which is the sixth image in the file (counting starts at 0), but only three images are available.

Author:
  Marco Schmidt
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidImageIndexException(String message)`
Creates new exception object with a given error message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidImageIndexException

public InvalidImageIndexException(String message)
Creates new exception object with a given error message.

Parameters:
  `message` - String with text describing the exact problem